RESOLVD(8)

NAME
resolvd - a daemon to handle nameserver configuration

SYNOPSIS
resolvd [-dv]

DESCRIPTION
resolvd handles the contents of /etc/resolv.conf, which contains details of the system's DNS nameservers, and is read by the resolver routines in the C library.

resolvd checks whether unwind(8) is running and monitors the routing socket for proposals sent by dhclient(8), slaacd(8), or network devices which learn DNS information such as umb(4).

If unwind(8) is running it prepends the following to /etc/resolv.conf:

    nameserver 127.0.0.1

It also adds any other DNS proposals, but commented out. If unwind(8) is not running it simply adds any other DNS proposals. After that, it appends user-edited lines to the file.

resolvd keeps track of which parts it managed in the past and will only change those. It will also create /etc/resolv.conf if it does not exist or if it is empty.

The options are as follows:

-d  Do not daemonize. If this option is specified, resolvd will run in the foreground and log to stderr.

-v  Produce more verbose output.

SEE ALSO
resolv.conf(5), dhclient(8), slaacd(8), unwind(8)

HISTORY
The resolvd program first appeared in OpenBSD 6.9.